Subject: HGH really helps!

From: Be Immune <[email-masked]>
Date: Fri, 27 Jul 2007 22:14:10 +0000

What is HGH Life?

 HGH Life is our patented formula of Human Growth Hormone, amino acids,
and the most-potent growth factors, all in one pill. It was designed with
anti-aging in mind, and has been noted for increased energy and alertness,
stronger muscles and bones, better looking skin, increased libido and overall
beneficial health benefits in America and abroad for the last several years.

How does HGH Life work?

HGH Life supplements the ever decreasing amount of growth hormone secreted
by the pituitary gland as we get older. The result is youthful feeling
and appearance, increased energy, memory and metabolism, stronger immune
system function, increased tissue repair, cell replacement, and bone strength,
and healthier skin, nails and teeth. In other words, it creates an overall,
more youthful you!

Buy HGH Life and become become immune to the passage of time!